import { IEventParam, Metadata } from '@zeedhi/core';
import { Grid } from '@zeedhi/common';
import { TekGrid } from '@zeedhi/teknisa-components-vuetify';

export class DemandManagementController {
	public callDescription: string = '';

	public callType: string = '';

	public callRelationship: string = '';

	public showDemandManagementForm = false;

    get isVisibleDemandManagementGrid() {
		return !this.showDemandManagementForm;
    }

	public rowClickGridDemandManagement({ row }: IEventParam<Grid>) {
		this.callDescription = row.REFERENCE;
		this.callType = row.TYPE;
		this.callRelationship = row.CALL_RELATIONSHIP;
		this.showDemandManagementForm = true;
	}

	public clickBackCardFormDemandManagement() {
		this.showDemandManagementForm = false;
	}

	public addClickGridAttachments() {
		const grid = Metadata.getInstance<TekGrid>('gridAttachments');
		console.log(grid);
		debugger;
	}
}
